

drivers/scsi/dpt_i2o.c: In function `adpt_queue':
drivers/scsi/dpt_i2o.c:442: warning: use of cast expressions as lvalues is deprecated
drivers/scsi/dpt_i2o.c: In function `adpt_scsi_register':
drivers/scsi/dpt_i2o.c:2213: warning: use of cast expressions as lvalues is deprecated


---

 25-akpm/drivers/scsi/dpt_i2o.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/scsi/dpt_i2o.c~dpt_i2o-warning-fixes drivers/scsi/dpt_i2o.c
--- 25/drivers/scsi/dpt_i2o.c~dpt_i2o-warning-fixes	2004-05-16 00:39:08.556769344 -0700
+++ 25-akpm/drivers/scsi/dpt_i2o.c	2004-05-16 00:39:08.561768584 -0700
@@ -439,7 +439,7 @@ static int adpt_queue(Scsi_Cmnd * cmd, v
 			cmd->scsi_done(cmd);
 			return 0;
 		}
-		(struct adpt_device*)(cmd->device->hostdata) = pDev;
+		cmd->device->hostdata = pDev;
 	}
 	pDev->pScsi_dev = cmd->device;
 
@@ -2210,7 +2210,7 @@ static s32 adpt_scsi_register(adpt_hba* 
 		printk ("%s: scsi_register returned NULL\n",pHba->name);
 		return -1;
 	}
-	(adpt_hba*)(host->hostdata[0]) = pHba;
+	host->hostdata[0] = (unsigned long)pHba;
 	pHba->host = host;
 
 	host->irq = pHba->pDev->irq;

_
